Imports Syncfusion.Windows.Forms.Grid
Class Form1

    Dim MyCustomer As New Customer
    Dim WithEvents BoundFieldControl1 As New BoundFieldControl(MyCustomer)
    Dim WithEvents BoundFieldControl2 As New BoundFieldControl(MyCustomer)

    Private Sub Form1_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        Me.Panel1.Controls.Add(BoundFieldControl1)
        Me.GridControl1(1, 1).CellType = "Control"
        Me.GridControl1(1, 1).Control = BoundFieldControl2
        Me.GridControl1.DefaultRowHeight = BoundFieldControl2.Height
        Me.GridControl1.DefaultColWidth = BoundFieldControl2.Width

        'parent the control to the grid so the binding to set up properly
        Me.GridControl1.Controls.Add(BoundFieldControl2)

        'make the control initial location match its cell - this avoids a flash the first time you click it
        BoundFieldControl2.Size = New Size(1, 1)
        BoundFieldControl2.Location = Me.GridControl1.RangeInfoToRectangle(GridRangeInfo.Cell(1, 1)).Location


        MyCustomer.Name = "Bill Smith"
    End Sub

    Private Sub btnDisplayName_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnDisplayName.Click
        MsgBox(MyCustomer.Name)
    End Sub

    'handled so the TextBox gets validated and triggers the binding update
    Private Sub BoundFieldControl2_Leave(ByVal sender As Object, ByVal e As System.EventArgs) Handles BoundFieldControl2.Leave
        BoundFieldControl2.ValidateChildren()
    End Sub

    'handled so the grid is redrawn to show the new value
    Private Sub BoundFieldControl1_Validated(ByVal sender As Object, ByVal e As System.EventArgs) Handles BoundFieldControl1.Validated
        Me.GridControl1.Refresh()
    End Sub
End Class
